namespace InvoiceManagerWeb.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InvoiceChange3 : DbMigration
    {
        public override void Up()
        {
            DropForeignKey("dbo.Invoices", "Subscriber_ID", "dbo.People");
            DropForeignKey("dbo.Invoices", "Supplier_ID", "dbo.People");
            DropIndex("dbo.Invoices", new[] { "Subscriber_ID" });
            DropIndex("dbo.Invoices", new[] { "Supplier_ID" });
            AddColumn("dbo.Invoices", "SubscriberID", c => c.Int(nullable: false));
            AddColumn("dbo.Invoices", "SupplierID", c => c.Int(nullable: false));
            DropColumn("dbo.Invoices", "Subscriber_ID");
            DropColumn("dbo.Invoices", "Supplier_ID");
            DropTable("dbo.People");
        }
        
        public override void Down()
        {
            CreateTable(
                "dbo.People",
                c => new
                    {
                        ID = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        Surname = c.String(),
                        BankAccount = c.String(),
                        TaxId = c.String(),
                        Street = c.String(),
                        Nr = c.Int(nullable: false),
                        PostCode = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.ID);
            
            AddColumn("dbo.Invoices", "Supplier_ID", c => c.Int());
            AddColumn("dbo.Invoices", "Subscriber_ID", c => c.Int());
            DropColumn("dbo.Invoices", "SupplierID");
            DropColumn("dbo.Invoices", "SubscriberID");
            CreateIndex("dbo.Invoices", "Supplier_ID");
            CreateIndex("dbo.Invoices", "Subscriber_ID");
            AddForeignKey("dbo.Invoices", "Supplier_ID", "dbo.People", "ID");
            AddForeignKey("dbo.Invoices", "Subscriber_ID", "dbo.People", "ID");
        }
    }
}
